/* Copyright(c) 1998-1999, ALICE Experiment at CERN, All rights reserved. *
 * See cxx source for full Copyright notice                               */

// $Id$

/// \file Doxymodules.h
/// \brief The definitions of class categories for Doxygen

/** @defgroup MUON MUON
 *  \brief See library hierarchy too
 *  Category of MUON classes
 * \image html muon_libs.jpg
 *  @{
 */

/** @defgroup core core
 *  Category of classes for core, 
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup mapping mapping
 *  Category of mapping classes
 * \image html mapping_libs.jpg
 *  @ingroup MUON
 *  @{
 *  \namespace AliMp
 *  \brief The namespace for mapping enums and related functions 
 *
 *  \namespace AliMq
 *  \brief The special namespace only for St12StationType
 *
 */

/** @defgroup basic mp_basic
 *  @ingroup mapping
 *  Category of basic classes in mapping
 *  @{
 */
/** @} */

/** @defgroup motif mp_motif
 *  @ingroup mapping
 *  Category of motif classes in mapping
 *  @{
 */
/** @} */

/** @defgroup sector mp_sector
 *  @ingroup mapping
 *  Category of classes for quadrants in mapping
 *  @{
 */
/** @} */

/** @defgroup slat mp_slat
 *  @ingroup mapping
 *  Category of classes for slats in mapping
 *  @{
 */
/** @} */

/** @defgroup mptrigger mp_trigger
 *  @ingroup mapping
 *  Category of classes for slats in mapping
 *  @{
 */
/** @} */

/** @defgroup management mp_management
 *  @ingroup mapping
 *  Category of classes for management in mapping
 *  @{
 */
/** @} */

/** @defgroup mpgraphics mp_graphics
 *  @ingroup mapping
 *  Category of classes for visualization in mapping
 *  @{
 */
/** @} */

/** @} */

/** @defgroup raw raw
 *  Category of classes for raw data; 
 *  see more on the \ref README_raw page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup calib calib
 *  Category of basic classes for calibration, 
 *  see more on the \ref README_calib page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup geometry geometry
 *  Category of geometry framework classes
 *  see more on the \ref README_geometry page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup trigger trigger
 *  Category of classes for trigger
 *  see more on the \ref README_trigger page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup base base
 *  Category of basic classes
 *  see more on the \ref README_base page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup shuttle shuttle
 *  Category of classes for shuttle
 *  see more on the \ref README_shuttle page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup sim sim
 *  Category of classes for simulation
 *  see more on the \ref README_sim page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup rec rec
 *  Category of classes for reconstruction
 *  see more on the \ref README_rec page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup calign calign
 *  Category of basic classes for calibration and alignment tasks
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup evaluation evaluation
 *  Category of classes for evaluation
 *  see more on the \ref README_evaluation page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @defgroup graphics graphics
 *  Category of classes for tracker visualization
 *  see more on the \ref README_mchview page.
 *  @ingroup MUON
 *  @{
 */
/** @} */

/** @} */

/** @defgroup macros MUON macros
 *  \brief The macros for running & testing MUON code
 *  @{
 */
 
/** @} */

/** @} */

/** @defgroup evemacros MUON macros in EVE
 *  \brief The macros for running & testing MUON Event display
 *  @{
 */
 
/** @} */



